#
# spec file for "ical4j"
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ical4j
Version:        3.0.18
Release:        6.13.uyuni3
License:        BSD-3-Clause
Summary:        A Java library for parsing and building iCalendar data models
Url:            https://github.com/ical4j/ical4j
Group:          Development/Libraries/Java
Source0:        https://github.com/ical4j/ical4j/archive/ical4j-3.0.18.tar.gz
Source1:        build.sh
Patch0:         001-remove-clover-license.patch
Patch1:         002-errorprone-2.4.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
ExcludeArch:    aarch64 ppc64le s390x
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  xz
BuildRequires:  java-devel
%if 0%{?rhel}
BuildRequires:  java-11-openjdk-devel
%endif
Requires:       java

%description
A Java library for parsing and building iCalendar data models

%package doc
Summary: Javadoc package for ical4j
%description doc
Javadoc package for ical4j

%prep
%setup -q -c -n src
%patch0 -p0
%patch1 -p2
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
# export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a ical4j-ical4j-3.0.18/build/libs/ical4j-0.1.0-SNAPSHOT-javadoc.jar %{buildroot}%{_javadir}/ical4j-%{version}-javadoc.jar
cp -a ical4j-ical4j-3.0.18/build/libs/ical4j-0.1.0-SNAPSHOT.jar %{buildroot}%{_javadir}/ical4j-%{version}.jar
ln -sf ical4j-%{version}.jar %{buildroot}%{_javadir}/ical4j.jar

%files
%defattr(-,root,root)
%{_javadir}/ical4j-%{version}.jar
%{_javadir}/ical4j.jar

%files doc
%defattr(-,root,root)
%{_javadir}/ical4j-%{version}-javadoc.jar

%changelog
* Sat Nov 28 2020 stefan.bluhm@clacee.eu
- Enhanced for RHEL8
* Fri Nov 20 2020 Frantisek Kobzik <fkobzik@suse.com>
- Use error-prone 2.4.0 to prevent build errors on OBS
- Add:
  * 002-errorprone-2.4.0.patch
* Tue May 26 2020 Pascal Arlt <parlt@suse.com>
- Remove unneeded clover.license (https://github.com/ical4j/ical4j/issues/415)
- Add:
  * 001-remove-clover-license.patch
* Wed Apr 29 2020 Michael Calmer <mc@suse.com>
- set noarch and use excludearch to limit building archs
* Wed Apr 29 2020 Pascal Arlt <parlt@suse.com>
- Make build x86_64 exclusive
* Wed Apr 15 2020 Pascal Arlt <parlt@suse.com>
- Initial version
